Data - Retrieve Alert Properties
Retrieves alert properties for the specified alert.
GET http://<Servername>/OperationsManager/data/alertInformation/{alertId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
alert
|
path | True |
string |
Alert ID for which context is to be fetched. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retried alert information. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveAlertInformation
Sample request
GET http://<Servername>/OperationsManager/data/alertInformation/f50652d0-2317-44de-81a6-2c622b94d00a
Sample response
{
"alertHistoryResponses": [
{
"id": "f50652d0-2317-44de-81a6-2c622b94d00a",
"modifiedBy": "System",
"comments": "Alert Activated by the System.",
"timeModified": "2022-05-17T05:36:38.0200000Z"
}
],
"description": "The All Management Servers Pool has not reported availability since Tue, 17 May 2022 05:31:42 GMT. This adversely affects all availability calculation for the entire management group.",
"context": "",
"name": "All Management Servers Pool Unavailable.",
"ruleId": "86006a18-5f04-2002-a8a3-9cd37ab016e9",
"monitorId": null,
"isMonitorAlert": false
}
Definitions
| Name | Description |
|---|---|
|
Alert |
|
|
Alert |
AlertDataResponse
| Name | Type | Description |
|---|---|---|
| alertHistoryResponses |
Alert History Responses |
|
| context |
string |
Context of the alert. |
| description |
string |
Description of the Alert |
| isMonitorAlert |
boolean |
is the Alert generated by Monitor |
| monitorId |
string |
Monitor ID which generated the alert. |
| name |
string |
Name of the alert |
| ruleId |
string |
Rule ID which generated the alert. |
AlertHistoryResponse
| Name | Type | Description |
|---|---|---|
| comments |
string |
Alert Comments |
| id |
string |
Alert ID |
| modifiedBy |
string |
Alert Modified By |
| timeModified |
string |
Time Alert was Modified |